Summary:	Parallel SSH tools
Name:		pssh
Version:	2.3.5
Release:	%mkrel 1
Group:		Networking/Remote access
License:	BSD
Url:		https://github.com/lilydjwg/pssh
Source:		https://github.com/lilydjwg/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:  python3-devel
BuildRequires:	pkgconfig(python3)

Requires:	openssh
Requires:	python3-psshlib = %{version}-%{release}

%description
This package provides various parallel tools based on ssh and scp.
Parallel versions includes:
 o ssh : pssh
 o scp : pscp
 o nuke : pnuke
 o rsync : prsync
 o slurp : pslurp

%package -n python3-psshlib
Summary:	Parallel SSH library for Python 3
Group:		Development/Python
%{?python_provide:%python_provide python3-psshlib}

%description -n python3-psshlib
The psshlib library enables custom applications to use PSSH.

%prep
%setup -q

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files psshlib

# move usr/bin/pssh-askpass to usr/libexec/pssh/pssh-askpass (see in INSTALL)
mkdir -p %{buildroot}%{_libexecdir}/%{name}
mv %{buildroot}%{_bindir}/pssh-askpass %{buildroot}%{_libexecdir}/%{name}/pssh-askpass

install -d %{buildroot}%{_mandir}/man1
install -p -m 0644 man/man1/*.1  %{buildroot}%{_mandir}/man1
mv %{buildroot}%{_mandir}/man1/pscp.1 %{buildroot}%{_mandir}/man1/pscp.pssh.1

%files
%doc ChangeLog AUTHORS COPYING
%{_bindir}/p*
%{_libexecdir}/%{name}/
%{_mandir}/man1/p*.1*

%files -n python3-psshlib -f %{pyproject_files}


%changelog
* Wed Jan 10 2024 papoteur <papoteur> 2.3.5-1.mga10
+ Revision: 2029421
- new version 2.3.5

* Wed Mar 23 2022 umeabot <umeabot> 2.3.4-4.mga9
+ Revision: 1823983
- Mageia 9 Mass Rebuild

* Sun Feb 27 2022 mrambo3501 <mrambo3501> 2.3.4-3.mga9
+ Revision: 1785911
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 2.3.4-2.mga9
+ Revision: 1732628
- Rebuild for python 3.9

* Fri May 29 2020 daviddavid <daviddavid> 2.3.4-1.mga8
+ Revision: 1588740
- new version: 2.3.4

* Sun Feb 16 2020 umeabot <umeabot> 2.3.3-2.mga8
+ Revision: 1533882
- Mageia 8 Mass Rebuild

* Wed Sep 25 2019 daviddavid <daviddavid> 2.3.3-1.mga8
+ Revision: 1445740
- new version: 2.3.3
- port to Python 3
- move usr/bin/pssh-askpass to usr/libexec/pssh/pssh-askpass

* Wed Sep 19 2018 umeabot <umeabot> 2.3.1-11.mga7
+ Revision: 1274546
- Mageia 7 Mass Rebuild

* Sat Feb 20 2016 umeabot <umeabot> 2.3.1-10.mga6
+ Revision: 971964
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 daviddavid <daviddavid> 2.3.1-9.mga6
+ Revision: 893869
- use new python macros to fix build failure

* Wed Oct 15 2014 umeabot <umeabot> 2.3.1-8.mga5
+ Revision: 746738
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.3.1-7.mga5
+ Revision: 727958
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.3.1-6.mga5
+ Revision: 687818
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 2.3.1-4.mga4
+ Revision: 542822
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.3.1-3.mga4
+ Revision: 498042
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 2.3.1-2.mga3
+ Revision: 378284
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 23 2012 dams <dams> 2.3.1-1.mga3
+ Revision: 309323
- remove useless patch
- add all man pages
- update description
- new version 2.3.1

* Tue Jan 24 2012 lebedov <lebedov> 2.3-1.mga2
+ Revision: 200642
- Update to 2.3.

* Tue Sep 27 2011 lebedov <lebedov> 2.2.2-1.mga2
+ Revision: 149556
- imported package pssh

